;;;; posix-utils.scm
;;;; Kon Lovett, Nov '10

;; Issues
;;

(module posix-utils

  (;export
    environment-variable-bound?
    environment-variable-true?)

  (import
    scheme chicken)

;;

(define (environment-variable-bound? varnam)
  (let ((varval (get-environment-variable varnam)))
    (and varval (not (string=? "" varval))
         varval) ) )

;;

(define (environment-variable-true? varnam)
  (and-let* ((varval (environment-variable-bound? varnam)))
    (let ((1stch (string-ref varval 0)))
      (or (char=? #\Y 1stch)
          (char=? #\1 1stch)
          (char=? #\y 1stch))) ) )

) ;module posix-utils
